Liquidations
Get Liquidatable Loans
List all loans with health factor below 1.0
GET
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List all loans with health factor below 1.0
curl "https://api.trusset.org/lending-stocks/api/liquidations/{marketId}/liquidatable-loans" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"totalActiveLoans": 12,
"liquidatableLoans": [
{
"loanId": 7,
"borrower": "0xabc...def",
"collateralAmount": "50.000000000000000000",
"principal": "8500.000000",
"accruedInterest": "45.000000",
"healthFactor": "0.920000000000000000"
}
]
}
}
1.0 indicate the loan is undercollateralized.
curl "https://api.trusset.org/lending-stocks/api/liquidations/{marketId}/liquidatable-loans" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"totalActiveLoans": 12,
"liquidatableLoans": [
{
"loanId": 7,
"borrower": "0xabc...def",
"collateralAmount": "50.000000000000000000",
"principal": "8500.000000",
"accruedInterest": "45.000000",
"healthFactor": "0.920000000000000000"
}
]
}
}
curl "https://api.trusset.org/lending-stocks/api/liquidations/{marketId}/liquidatable-loans" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"totalActiveLoans": 12,
"liquidatableLoans": [
{
"loanId": 7,
"borrower": "0xabc...def",
"collateralAmount": "50.000000000000000000",
"principal": "8500.000000",
"accruedInterest": "45.000000",
"healthFactor": "0.920000000000000000"
}
]
}
}
